Bug 139181 - System Monitor applet will not load to panel
System Monitor applet will not load to panel
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-11-13 13:50 EST by Michael Zemcov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-26 02:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Zemcov 2004-11-13 13:50:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Trying to put the system monitor applet on the panel in FC3.  I right
click with the mouse on the panel, select `Add to panel`, scroll down
to  System Monitor and select it.  A box titled `Question` pops up
with the message:

The panel encountered a problem while loading
Details: Failed to resolve, or extend

Do you want to delete the applet from your configuration?

If I select `Delete`, no applet is added to the panel, and if I select
`Don't Delete`, no applet is added to the panel.

Version-Release number of selected component (if applicable):
gnome panel 2.8.1

How reproducible:

Steps to Reproduce:
1. Select `add to panel` on the gnome panel.
2. Select System Monitor from gui box.

Actual Results:  Error message opens, and no applet is added to the panel.

Expected Results:  The System Monitor applet should have appeared on
the panel.

Additional info:
Comment 1 Mark McLoughlin 2004-11-15 03:58:22 EST
If you do:

  $> gnome-session-remove gnome-panel
  $> /usr/libexec/multiload-applet-2

and from another command line do:

  $> GNOME_PANEL_DEBUG=1 gnome-panel

do you see any error messages from either the panel or
multiload-applet-2? If so paste the error messages here.

If multiload-applet-2 crashes, please see:


on how to get a stack trace.
Comment 2 Michael Zemcov 2004-11-15 04:55:20 EST
Right, did

$> gnome-session-remove gnome-panel
$> /usr/libexec/multiload-applet-2

And I get the following error (using gdb):

/usr/libexec/multiload-applet-2: error while loading shared libraries:
libgtop-2.0.so.2: cannot open shared object file: No such file or

Program exited with code 0177.

So it looks like it's missing a .so file is all.
Comment 3 Mark McLoughlin 2004-11-15 06:14:39 EST
Right, you need the libgtop2 package.

The gnome-applets package requires this, so you must have installed
--force or something ?

Note You need to log in before you can comment on or make changes to this bug.